	.set noat
	.set noreorder
	.sdata
	.align 4
D.&mFNAME:
	.quad	0
L.&mFNAME:
	.asciiz	"&mFNAM2"
S.&mFNAME:
	.asciiz	"&mFNAME"
	.byte	0 : 5
	.text
	.align 4
	.globl  &mFNAME
	.ent 	&mFNAME
&mFNAME:
	ldgp	$gp, 0($27)
	lda	$sp, -56($sp)
	stq	$26, ($sp)
        stq     $19, 32($sp)
	.mask	0x04000000,-56
	.fmask 0x00000000,0
        .frame  $sp, 56, $26
        .prologue 1
	lda	$19, D.&mFNAME
	ldq	$27, ($19)		# Pick up contents
	bne	$27, .L2.&mFNAME	# Been here before, go straight to code
	stq     $21, 48($sp)
        stq     $20, 40($sp)
        stq     $18, 24($sp)
        stq     $17, 16($sp)
        stq     $16, 8($sp)
	lda	$16, L.&mFNAME		# Pick up library name
	lda	$18, &mFNAME		# Pick up stub addr
	lda	$27, _mFdynload		# Load subroutine addr
	lda	$20, &mFflag		# 1 for "-d x@y", 0 for "-d x=y"
	lda	$17, S.&mFNAME		# Pick up object module
	jsr	$26, ($27), _mFdynload
	ldah	$gp, ($26)
	ldq	$26, ($sp)
	lda	$gp, ($gp)
	bis	$0, $0, $27
	ldq     $21, 48($sp)
        ldq     $20, 40($sp)
        ldq     $18, 24($sp)
        ldq     $17, 16($sp)
        ldq     $16, 8($sp)
.L2.&mFNAME:
        ldq     $19, 32($sp)
	lda	$sp, 56($sp)
	jmp	$31, ($27)		#  Jump to routine with old frame
	ret	($26)			#  ** Not executed **
	.end 	&mFNAME
